
Katello - Bug #6265

katello-disconnected fails to import manifest

06/18/2014 05:13 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Mike McCune   

Category: Inter Server Sync   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083201 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083201

after the move of Katello to an engine inside forman our path to the libraries has changed.  This causes errors such as:

1. katello-disconnected  setup --oauth-key=katello

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': cannot load such file --

/usr/share/katello/app/lib/util/cdn_var_substitutor.rb (LoadError)

from /opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

from /usr/bin/katello-disconnected:43:in `<main>'

everything now is in /opt/rh/ruby193 ...

History

#1 - 06/18/2014 05:13 AM - Mike McCune

- Target version set to 48

- Triaged set to No

#2 - 06/19/2014 01:08 AM - Eric Helms

- Category set to Inter Server Sync

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 06/20/2014 11:36 AM - Eric Helms

- Status changed from New to Closed

#4 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
